## flask-appbuilder 4.1.4+ds

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
apispec[yaml]==3.3.2
    # via Flask-AppBuilder (setup.py)
attrs==21.4.0
    # via jsonschema
babel==2.9.1
    # via flask-babel
click==8.0.4
    # via
    #   Flask-AppBuilder (setup.py)
    #   flask
colorama==0.4.4
    # via Flask-AppBuilder (setup.py)
dnspython==2.2.1
    # via email-validator
email-validator==1.1.3
    # via Flask-AppBuilder (setup.py)
flask==2.0.3
    # via
    #   Flask-AppBuilder (setup.py)
    #   flask-babel
    #   flask-jwt-extended
    #   flask-login
    #   flask-sqlalchemy
    #   flask-wtf
flask-babel==2.0.0
    # via Flask-AppBuilder (setup.py)
flask-jwt-extended==4.3.1
    # via Flask-AppBuilder (setup.py)
flask-login==0.6.0
    # via Flask-AppBuilder (setup.py)
flask-sqlalchemy==2.5.1
    # via Flask-AppBuilder (setup.py)
flask-wtf==1.0.1
    # via Flask-AppBuilder (setup.py)
greenlet==1.1.2
    # via sqlalchemy
idna==3.3
    # via email-validator
itsdangerous==2.1.1
    # via
    #   flask
    #   flask-wtf
jinja2==3.0.3
    # via
    #   flask
    #   flask-babel
jsonschema==3.2.0
    # via Flask-AppBuilder (setup.py)
markupsafe==2.1.1
    # via
    #   jinja2
    #   wtforms
marshmallow==3.15.0
    # via
    #   Flask-AppBuilder (setup.py)
    #   marshmallow-enum
    #   marshmallow-sqlalchemy
marshmallow-enum==1.5.1
    # via Flask-AppBuilder (setup.py)
marshmallow-sqlalchemy==0.26.1
    # via Flask-AppBuilder (setup.py)
packaging==21.3
    # via marshmallow
prison==0.2.1
    # via Flask-AppBuilder (setup.py)
pyjwt==2.3.0
    # via
    #   Flask-AppBuilder (setup.py)
    #   flask-jwt-extended
pyparsing==3.0.8
    # via packaging
pyrsistent==0.18.1
    # via jsonschema
python-dateutil==2.8.2
    # via Flask-AppBuilder (setup.py)
pytz==2021.1
    # via
    #   babel
    #   flask-babel
pyyaml==5.4.1
    # via apispec
six==1.16.0
    # via
    #   jsonschema
    #   prison
    #   python-dateutil
    #   sqlalchemy-utils
sqlalchemy==1.4.29
    # via
    #   Flask-AppBuilder (setup.py)
    #   flask-sqlalchemy
    #   marshmallow-sqlalchemy
    #   sqlalchemy-utils
sqlalchemy-utils==0.37.8
    # via Flask-AppBuilder (setup.py)
werkzeug==2.0.3
    # via
    #   flask
    #   flask-jwt-extended
    #   flask-login
wtforms==3.0.1
    # via
    #   Flask-AppBuilder (setup.py)
    #   flask-wtf

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## flask-appbuilder 4.1.3+ds

=== debian/changelog ===
flask-appbuilder (4.1.3+ds-2) unstable; urgency=medium

  * [497bf84] add versions to key build-deps to ease backporting
  * [18565fa] ignore lintian messages regarding examples
  * [08e4894] use py3versions -s instead of -r to get python3 versions
    for autopkgtest
  * [16936b6] override lintian false-positive
  * [54e7559] move examples to -doc pkg

 -- Joseph Nahmias <jello@debian.org>  Sun, 31 Jul 2022 21:47:33 -0400

flask-appbuilder (4.1.3+ds-1) unstable; urgency=medium

  * [ea57208] initial packaging (Closes: #998029)
  * [24a5dd6] tag tests needing internet so they can be skipped
  * [8530dcc] fix apispec repsonse registration
  * [7eb33df] remove vendored fonts & js libs and replace with links & deps
  * [83c8ca2] drop patch merged upstream
  * [e35d4b4] use --doc-main-package to place documentation where it belongs
  * [9941bbf] loosen dep on apispec and add direct dep on yaml
  * [5b969cf] run testsuite as autopkgtest
  * [327b89f] doc-base: fix typo in documentation location
  * [5da7d12] clean up after tests so stray files do not end up in the deb
  * [7954764] fix typos in autopkgtest
  * [a6981ab] add missing test deps to autopkgtest
  * [24a2420] use installed test files for autopkgtest
  * [82d3ec1] compute path to expected test results instead of hardcoding it
  * [850d08a] mark autopkgtest as allow-stderr

 -- Joseph Nahmias <jello@debian.org>  Tue, 12 Jul 2022 23:43:33 -0400

=== debian/control ===
Source: flask-appbuilder
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 postgresql <!nocheck>,
 python3-nose <!nocheck>,
 python3-apispec <!nocheck>,
 python3-authlib <!nocheck>,
 python3-colorama <!nocheck>,
 python3-click <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-email-validator <!nocheck>,
 python3-flask (>= 2) <!nocheck>,
 python3-flask-babel <!nocheck>,
 python3-flask-login <!nocheck>,
 python3-flask-openid <!nocheck>,
 python3-flask-sqlalchemy (>= 2.4) <!nocheck>,
 python3-flaskext.wtf <!nocheck>,
 python3-python-flask-jwt-extended (>= 4) <!nocheck>,
 python3-freezegun <!nocheck>,
 python3-jmespath <!nocheck>,
 python3-jsonschema <!nocheck>,
 python3-jwt <!nocheck>,
 python3-ldap <!nocheck>,
 python3-marshmallow <!nocheck>,
 python3-marshmallow-enum <!nocheck>,
 python3-marshmallow-sqlalchemy (>= 0.22) <!nocheck>,
 python3-mockldap <!nocheck>,
 python3-parameterized <!nocheck>,
 python3-prison <!nocheck>,
 python3-psycopg2 <!nocheck>,
 python3-sqlalchemy <!nocheck>,
 python3-sqlalchemy-utils <!nocheck>,
 python3-wtforms <!nocheck>,
 python3-yaml <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.blockdiag <!nodoc>,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: http://flaskappbuilder.pythonanywhere.com/
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-appbuilder
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-appbuilder.git

Package: python3-flask-appbuilder
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 fonts-font-awesome,
 fonts-glyphicons-halflings,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-jquery,
 libjs-select2.js,
 libjs-twitter-bootstrap-datepicker,
Suggests:
 python-flask-appbuilder-doc,
Description: simple and rapid application development framework (Python 3)
 Simple and rapid application development framework, built on top of Flask.
 includes detailed security, auto CRUD generation for your models, google
 charts and much more. Extensive configuration of all functionality, easily
 integrate with normal Flask/Jinja2 development.
 .
 This package installs the library for Python 3.

Package: python-flask-appbuilder-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: simple and rapid application development (documentation)
 Simple and rapid application development framework, built on top of Flask.
 includes detailed security, auto CRUD generation for your models, google
 charts and much more. Extensive configuration of all functionality, easily
 integrate with normal Flask/Jinja2 development.
 .
 This package contains the documentation for using Flask-AppBuilder

## flask-appbuilder 4.1.4+ds

=== debian/changelog ===
flask-appbuilder (4.1.4+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-flask-appbuilder-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:52:28 +0000

flask-appbuilder (4.1.4+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 26 Oct 2022 13:40:37 +0100

flask-appbuilder (4.1.4+ds-1) unstable; urgency=medium

  * [8435889] New upstream version 4.1.4+ds
  * [3af100a] drop patch merged upstream

 -- Joseph Nahmias <jello@debian.org>  Mon, 05 Sep 2022 19:26:03 -0400

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
  python3-sphinxcontrib.blockdiag <!nodoc>,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.1
-Homepage: http://flaskappbuilder.pythonanywhere.com/
+Homepage: https://flaskappbuilder.pythonanywhere.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-appbuilder
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-appbuilder.git
 
@@ -78,6 +78,7 @@
 Depends:
  ${sphinxdoc:Depends},
  ${misc:Depends},
+Multi-Arch: foreign
 Description: simple and rapid application development (documentation)
  Simple and rapid application development framework, built on top of Flask.
  includes detailed security, auto CRUD generation for your models, google

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-appbuilder

%:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args \
	"\
	cd {build_dir} ;\
	export SQLALCHEMY_DATABASE_URI=postgresql+psycopg2:// ;\
	echo -=-=-=-=-=  Testing {interpreter}  =-=-=-=-=- ;\
	pg_virtualenv {interpreter} -m nose \
		--verbose \
		--logging-level=WARNING \
		--attr '!needs_inet' \
		--ignore-files='test_mongoengine\.py' \
		flask_appbuilder.tests &&\
	rm -f roles_export_*.json \
	"

override_dh_installdocs:
	dh_installdocs --package=python3-flask-appbuilder
	dh_installdocs --package=python-flask-appbuilder-doc \
		--doc-main-package=python3-flask-appbuilder

override_dh_installexamples:
	dh_installexamples \
		--exclude=.coverage \
		--exclude=.gitignore \
		--package=python-flask-appbuilder-doc \
		--doc-main-package=python3-flask-appbuilder

=== debian/tests/control ===
Tests: upstream-postgresql
Depends:
 postgresql,
 python3-all,
 python3-authlib,
 python3-flask-appbuilder,
 python3-flask-openid,
 python3-freezegun,
 python3-jmespath,
 python3-ldap,
 python3-mockldap,
 python3-nose,
 python3-parameterized,
 python3-psycopg2,
 python3-requests,
Restrictions: allow-stderr

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flask-appbuilder-$1.tar.gz%" \
   https://github.com/dpgaspar/Flask-AppBuilder/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
